.menu-install-pwa {
    display: none;
    position: fixed;
    bottom: calc(env(safe-area-inset-bottom) + 10px);
    left: 10px;
    right: 10px;
    max-width: 480px;
    margin: auto;
    padding: 12px 12px 14px;
    color: rgba(0, 0, 0, 0.875);
    background-image: linear-gradient(to bottom, rgba(255, 255, 255, 0.75) 0%, rgba(255, 255, 255, 0.875) 100%);
    border: 2px solid rgba(0, 0, 0, 0.0625);
    border-radius: 8px;
    font-size: 0.875rem;
    text-align: center;
    line-height: 1.5;
    z-index: 1001;
    transition: all 350ms ease;
    -webkit-overflow-scrolling: touch;
    transform: translate3d(0, 125%, 0);
}
@media (prefers-color-scheme: dark) {
    .menu-install-pwa {
        color: rgba(255, 255, 255, 0.875);
        background-image: linear-gradient(to bottom, rgba(0, 0, 0, 0.75) 0%, rgba(0, 0, 0, 0.875) 100%);
        border-color: rgba(255, 255, 255, 0.25);
    }
}

.menu-install-pwa.menu-active {
    transform: translate3d(0%, 0, 0) !important;
    opacity: 1 !important;
    transition: all 350ms ease;
    pointer-events: all !important;
}

.menu-install-pwa.menu-active-no-click {
    opacity: 1;
    background-color: rgba(0, 0, 0, 0.7);
    pointer-events: all !important;
}

.menu-install-pwa.menu-install-pwa-ios {
    overflow: visible !important;
}

.menu-install-pwa .logo-wrapper {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 90px;
    height: 90px;
    margin: 0 auto 1rem;
    padding: 8px;
    background-color: #000;
    background-image: linear-gradient(180deg, rgba(255, 255, 255, 0.15), rgba(255, 255, 255, 0));
    border-radius: 1rem;
}

.menu-install-pwa .logo-wrapper > .logo {
    display: block;
    max-width: 100%;
    height: auto;
    margin: auto;
}

.menu-install-pwa h3 {
    margin-top: 0;
    margin-bottom: 0.5rem;
    text-decoration: underline;
    text-decoration-thickness: 2px;
    text-decoration-color: rgba(0, 0, 0, 0.1875);
    text-underline-offset: 3px;
}
@media (prefers-color-scheme: dark) {
    .menu-install-pwa h3 {
        text-decoration-color: rgba(255, 255, 255, 0.1875);
    }
}

.menu-install-pwa p {
    margin-top: 0.5rem;
    opacity: 0.8125;
}

.menu-install-pwa ul {
    display: flex;
    flex-direction: row-reverse;
    list-style: none;
    margin-bottom: 0;
    padding-left: 0;
}

.menu-install-pwa ul > li {
    flex-grow: 1;
}

.menu-install-pwa .pwa-install,
.menu-install-pwa .pwa-dismiss {
    display: block;
    max-width: fit-content;
    margin-right: auto;
    margin-left: auto;
    padding: 8px 10px;
    font-weight: 600;
    font-size: 0.8125rem;
    line-height: 1.5;
    text-align: center;
    text-transform: uppercase;
    text-decoration: none;
    vertical-align: middle;
    cursor: pointer;
    -webkit-user-select: none;
    -moz-user-select: none;
    user-select: none;
    border-width: 1px;
    border-style: solid;
    border-radius: 4px;
    transition: color 0.15s ease-in-out, background-color 0.15s ease-in-out;
}

.menu-install-pwa .pwa-install {
    color: rgba(255, 255, 255, 0.875);
    background-color: #555;
    border-color: rgba(255, 255, 255, 0.25);
}

.menu-install-pwa .pwa-install:hover,
.menu-install-pwa .pwa-install:focus,
.menu-install-pwa .pwa-install:active {
    color: #fff;
    background-color: #555;
    border-color: rgba(255, 255, 255, 0.5);
}

.menu-install-pwa .pwa-dismiss {
    color: rgba(0, 0, 0, 0.875);
    border-color: rgba(0, 0, 0, 0.625);
}
@media (prefers-color-scheme: dark) {
    .menu-install-pwa .pwa-dismiss {
        color: rgba(255, 255, 255, 0.875);
        border-color: rgba(255, 255, 255, 0.625);
    }
}

.menu-install-pwa .pwa-dismiss:hover,
.menu-install-pwa .pwa-dismiss:focus,
.menu-install-pwa .pwa-dismiss:active {
    color: #000;
    border-color: #000;
}
@media (prefers-color-scheme: dark) {
    .menu-install-pwa .pwa-dismiss:hover,
    .menu-install-pwa .pwa-dismiss:focus,
    .menu-install-pwa .pwa-dismiss:active {
        color: #fff;
        border-color: #fff;
    }
}
